%define __requires_exclude %{?__requires_exclude:%__requires_exclude|}perl\\(URI\\)$
%define __provides_exclude %{?__provides_exclude:%__provides_exclude|}perl\\(WWW::RobotRules::InCore\\)

Name:             perl-WWW-RobotRules
Version:          6.02
Release:          21
Summary:          This module parses the /robots.txt file as specified in "A Standard for Robot Exclusion"
License:          GPL+ or Artistic
URL:              https://metacpan.org/release/WWW-RobotRules
Source0:          https://cpan.metacpan.org/authors/id/G/GA/GAAS/WWW-RobotRules-%{version}.tar.gz

BuildRequires:    perl-generators perl(AnyDBM_File) perl(Carp) perl(ExtUtils::MakeMaker) perl(Fcntl) perl(URI) >= 1.10

Requires:         perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version)) perl(URI) >= 1.10
Conflicts:        perl-libwww-perl < 6
BuildArch:        noarch

%description
This is database of robots.txt-derived permissions. It parses the /robots.txt file as specified in "A Standard for Robot Exclusion".

%package          help
Summary:          Help documentation for perl-WWW-RobotRules
Buildarch:        noarch

%description      help
This package includes help documentation and manuals related to perl-WWW-RobotRules.

%prep
%autosetup -n WWW-RobotRules-6.02 -p1

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;
/usr/bin/chmod -Rf a+rX,u+w,g-w,o-w $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes README
%{perl_vendorlib}/*

%files            help
%{_mandir}/man3/*

%changelog
* Thu Oct 17 2019 dongjian <dongjian13@huawei.com> - 6.02-21
- Package init
